#version 330 core
layout (location = 0) in vec3 aPosition;
uniform mat4 uModelView;
uniform mat4 uProjection;

out vec3 vertexColor;

void main() {
	vertexColor = (aPosition + vec3(1)) / 2;
	gl_Position = uProjection * uModelView * vec4(aPosition, 1.0);
}